Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.core
Class BeanPropertyRowMapper

    java.lang.Object
      org.springframework.jdbc.core.AbstractBeanPropertyRowMapper
          org.springframework.jdbc.core.BeanPropertyRowMapper

All Implemented Interfaces:
  RowMapper

    public class BeanPropertyRowMapper

extends AbstractBeanPropertyRowMapper
implements RowMapper

Generic RowMapper implementation that converts a row into a new instance of the specified mapped target class. The mapped target class must be a top-level class and it must have a default or no-arg constructor. Column values are mapped based on matching the column name as obtained from result set metadata to public setters for the corresponding properties. The names are matched either directly or by transforming a name separating the parts with underscores to the same name using "camel" case. Mapping is provided for fields in the target class that are defined as any of the following types: String, byte, Byte, short, Short, int, Integer, long, Long, float, Float, double, Double, BigDecimal, boolean, Boolean and java.util.Date. To facilitate mapping between columns and fields that don't have matching names, try using column aliases in the SQL statement like "select fname as first_name from customer". Please note that this class is designed to provide convenience rather than high performance. For best performance consider using a custom RowMapper.

Since:
  2.5
Author:
  Thomas Risberg
See Also:
  `RowMapper`

Nested Class Summary

Nested classes/interfaces inherited from class org.springframework.jdbc.core.AbstractBeanPropertyRowMapper
`AbstractBeanPropertyRowMapper.PersistentField`

Field Summary

Fields inherited from class org.springframework.jdbc.core.AbstractBeanPropertyRowMapper
`logger, mappedClass`

Constructor Summary
`BeanPropertyRowMapper()` Create a new BeanPropertyRowMapper.
`BeanPropertyRowMapper(Class mappedClass)` Create a new BeanPropertyRowMapper.

Method Summary
`Object` | `mapRow(ResultSet rs, int rowNumber)` Extract the values for all columns in the current row.
`static BeanPropertyRowMapper` | `newInstance(Class mappedClass)` Static factory method to create a new ParameterizedBeanPropertyRowMapper.
`void` | `setMappedClass(Class mappedClass)` Set the class that each row should be mapped to.

Methods inherited from class org.springframework.jdbc.core.AbstractBeanPropertyRowMapper
`doMapRow, doSetMappedClass, getMappedClass, initialize, underscoreName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanPropertyRowMapper

    public BeanPropertyRowMapper()

  Create a new BeanPropertyRowMapper.

  See Also:
    `setMappedClass(java.lang.Class)`

### BeanPropertyRowMapper

    public BeanPropertyRowMapper(Class mappedClass)

  Create a new BeanPropertyRowMapper.

  Parameters:
    `mappedClass` - the class that each row should be mapped to.

Method Detail

### newInstance

    public static BeanPropertyRowMapper newInstance(Class mappedClass)

  Static factory method to create a new ParameterizedBeanPropertyRowMapper.

  Parameters:
    `mappedClass` - the class that each row should be mapped to.

### setMappedClass

    public void setMappedClass(Class mappedClass)

  Set the class that each row should be mapped to.

  Parameters:
    `mappedClass` - the mapped class

### mapRow

    public Object mapRow(ResultSet rs,
                         int rowNumber)
                  throws SQLException

  Extract the values for all columns in the current row.

  Utilizes public setters and result set metadata.

  Specified by:
    `mapRow` in interface `RowMapper`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNumber` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)
  See Also:
    `ResultSetMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.